Package org.eclipse.graphiti.pattern.mapping

# Interface IStructureMappingSingle

All Superinterfaces:
  `IStructureMapping`

All Known Implementing Classes:
  `StructureMappingSingle`

public interface IStructureMappingSingle extends IStructureMapping
The Interface IStructureMappingSingle.

## Method Summary

Modifier and Type
Method
Description
`ILinkCreationInfo`
`getLinkCreationInfo(Object mainBusinessObject)`
Returns an array of business objects.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

## Method Details

### getLinkCreationInfo

ILinkCreationInfo getLinkCreationInfo(Object mainBusinessObject)
Returns an array of business objects. This array of business objects will be linked with a pictogram element acting as placeholder in a pattern.

Parameters:
  `mainBusinessObject` - this is the main business object of the current pattern
Returns:
  the business object